gtkmm: Gtk::ColumnViewRow Class Reference

gtkmm 4.16.0

Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gtk::ColumnViewRow Class Reference

Gtk::ColumnViewRow is used by Gtk::ColumnView to allow configuring how rows are displayed. More...

`#include <gtkmm/columnviewrow.h>`

Inheritance diagram for Gtk::ColumnViewRow:
[legend]

## Public Member Functions
| ColumnViewRow (ColumnViewRow && src) noexcept
ColumnViewRow & | operator= (ColumnViewRow && src) noexcept
| ~ColumnViewRow () noexcept override
GtkColumnViewRow * | gobj ()
| Provides access to the underlying C GObject.
const GtkColumnViewRow * | gobj () const
| Provides access to the underlying C GObject.
GtkColumnViewRow * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Glib::ObjectBase > | get_item ()
| Gets the model item that associated with self.
Glib::RefPtr< const Glib::ObjectBase > | get_item () const
| Gets the model item that associated with self.
guint | get_position () const
| Gets the position in the model that self currently displays.
bool | get_selected () const
| Checks if the item is selected that this row corresponds to.
bool | get_selectable () const
| Checks if the row has been set to be selectable via set_selectable().
void | set_selectable (bool selectable=true)
| Sets self to be selectable.
bool | get_activatable () const
| Checks if the row has been set to be activatable via set_activatable().
void | set_activatable (bool activatable=true)
| Sets self to be activatable.
bool | get_focusable () const
| Checks if a row item has been set to be focusable via set_focusable().
void | set_focusable (bool focusable=true)
| Sets self to be focusable.
Glib::ustring | get_accessible_description () const
| Gets the accessible description of self.
void | gtk_set_accessible_description (const Glib::ustring & description)
| Sets the accessible description for the row, which may be used by e.g. screen readers.
Glib::ustring | get_accessible_label () const
| Gets the accessible label of self.
void | gtk_set_accessible_label (const Glib::ustring & label)
| Sets the accessible label for the row, which may be used by e.g. screen readers.
Glib::PropertyProxy< Glib::ustring > | property_accessible_description ()
| The accessible description to set on the row.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_accessible_description () const
| The accessible description to set on the row.
Glib::PropertyProxy< Glib::ustring > | property_accessible_label ()
| The accessible label to set on the row.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_accessible_label () const
| The accessible label to set on the row.
Glib::PropertyProxy< bool > | property_activatable ()
| If the row can be activated by the user.
Glib::PropertyProxy_ReadOnly< bool > | property_activatable () const
| If the row can be activated by the user.
Glib::PropertyProxy< bool > | property_focusable ()
| If the row can be focused with the keyboard.
Glib::PropertyProxy_ReadOnly< bool > | property_focusable () const
| If the row can be focused with the keyboard.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Glib::ObjectBase > > | property_item () const
| The item for this row.
Glib::PropertyProxy_ReadOnly< guint > | property_position () const
| Position of the row.
Glib::PropertyProxy< bool > | property_selectable ()
| If the row can be selected by the user.
Glib::PropertyProxy_ReadOnly< bool > | property_selectable () const
| If the row can be selected by the user.
Glib::PropertyProxy_ReadOnly< bool > | property_selected () const
| If the item in the row is currently selected.
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data_with_c_callback (const Quark &key, void *data, GDestroyNotify notify)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::ColumnViewRow > | wrap (GtkColumnViewRow * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data) | DestroyNotify
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Detailed Description

Gtk::ColumnViewRow is used by Gtk::ColumnView to allow configuring how rows are displayed.

It is not used to set the widgets displayed in the individual cells. For that see Gtk::ColumnViewColumn::set_factory() and Gtk::ColumnViewCell.

Since gtkmm 4.12

## Constructor & Destructor Documentation

## ◆ ColumnViewRow()

Gtk::ColumnViewRow::ColumnViewRow | ( | ColumnViewRow && | src | ) |
| noexcept

## ◆ ~ColumnViewRow()

Gtk::ColumnViewRow::~ColumnViewRow | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ get_accessible_description()

Glib::ustring Gtk::ColumnViewRow::get_accessible_description | ( |  | ) | const

Gets the accessible description of self.

Since gtkmm 4.12

Returns
  The accessible description.

## ◆ get_accessible_label()

Glib::ustring Gtk::ColumnViewRow::get_accessible_label | ( |  | ) | const

Gets the accessible label of self.

Since gtkmm 4.12

Returns
  The accessible label.

## ◆ get_activatable()

bool Gtk::ColumnViewRow::get_activatable | ( |  | ) | const

Checks if the row has been set to be activatable via set_activatable().

Since gtkmm 4.12

Returns
  `true` if the row is activatable.

## ◆ get_focusable()

bool Gtk::ColumnViewRow::get_focusable | ( |  | ) | const

Checks if a row item has been set to be focusable via set_focusable().

Since gtkmm 4.12

Returns
  `true` if the row is focusable.

## ◆ get_item() [1/2]

Glib::RefPtr< Glib::ObjectBase > Gtk::ColumnViewRow::get_item | ( |  | ) |

Gets the model item that associated with self.

If self is unbound, this function returns `nullptr`.

Since gtkmm 4.12

Returns
  The item displayed.

## ◆ get_item() [2/2]

Glib::RefPtr< const Glib::ObjectBase > Gtk::ColumnViewRow::get_item | ( |  | ) | const

Gets the model item that associated with self.

If self is unbound, this function returns `nullptr`.

Since gtkmm 4.12

Returns
  The item displayed.

## ◆ get_position()

guint Gtk::ColumnViewRow::get_position | ( |  | ) | const

Gets the position in the model that self currently displays.

If self is unbound, GTK_INVALID_LIST_POSITION is returned.

Since gtkmm 4.12

Returns
  The position of this row.

## ◆ get_selectable()

bool Gtk::ColumnViewRow::get_selectable | ( |  | ) | const

Checks if the row has been set to be selectable via set_selectable().

Do not confuse this function with get_selected().

Since gtkmm 4.12

Returns
  `true` if the row is selectable.

## ◆ get_selected()

bool Gtk::ColumnViewRow::get_selected | ( |  | ) | const

Checks if the item is selected that this row corresponds to.

The selected state is maintained by the list widget and its model and cannot be set otherwise.

Since gtkmm 4.12

Returns
  `true` if the item is selected.

## ◆ get_type()

static GType Gtk::ColumnViewRow::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkColumnViewRow * Gtk::ColumnViewRow::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkColumnViewRow * Gtk::ColumnViewRow::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkColumnViewRow * Gtk::ColumnViewRow::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ gtk_set_accessible_description()

void Gtk::ColumnViewRow::gtk_set_accessible_description | ( | const Glib::ustring & | description | ) |

Sets the accessible description for the row, which may be used by e.g. screen readers.

Since gtkmm 4.12

Parameters

  description | The description.

## ◆ gtk_set_accessible_label()

void Gtk::ColumnViewRow::gtk_set_accessible_label | ( | const Glib::ustring & | label | ) |

Sets the accessible label for the row, which may be used by e.g. screen readers.

Since gtkmm 4.12

Parameters

  label | The label.

## ◆ operator=()

ColumnViewRow & Gtk::ColumnViewRow::operator= | ( | ColumnViewRow && | src | ) |
| noexcept

## ◆ property_accessible_description() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::ColumnViewRow::property_accessible_description | ( |  | ) |

The accessible description to set on the row.

Since gtkmm 4.12

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_accessible_description() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::ColumnViewRow::property_accessible_description | ( |  | ) | const

The accessible description to set on the row.

Since gtkmm 4.12

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_accessible_label() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::ColumnViewRow::property_accessible_label | ( |  | ) |

The accessible label to set on the row.

Since gtkmm 4.12

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_accessible_label() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::ColumnViewRow::property_accessible_label | ( |  | ) | const

The accessible label to set on the row.

Since gtkmm 4.12

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_activatable() [1/2]

Glib::PropertyProxy< bool > Gtk::ColumnViewRow::property_activatable | ( |  | ) |

If the row can be activated by the user.

Since gtkmm 4.12

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_activatable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::ColumnViewRow::property_activatable | ( |  | ) | const

If the row can be activated by the user.

Since gtkmm 4.12

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_focusable() [1/2]

Glib::PropertyProxy< bool > Gtk::ColumnViewRow::property_focusable | ( |  | ) |

If the row can be focused with the keyboard.

Since gtkmm 4.12

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_focusable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::ColumnViewRow::property_focusable | ( |  | ) | const

If the row can be focused with the keyboard.

Since gtkmm 4.12

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_item()

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Glib::ObjectBase > > Gtk::ColumnViewRow::property_item | ( |  | ) | const

The item for this row.

Since gtkmm 4.12

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_position()

Glib::PropertyProxy_ReadOnly< guint > Gtk::ColumnViewRow::property_position | ( |  | ) | const

Position of the row.

Since gtkmm 4.12

Default value: 4294967295

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_selectable() [1/2]

Glib::PropertyProxy< bool > Gtk::ColumnViewRow::property_selectable | ( |  | ) |

If the row can be selected by the user.

Since gtkmm 4.12

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_selectable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::ColumnViewRow::property_selectable | ( |  | ) | const

If the row can be selected by the user.

Since gtkmm 4.12

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_selected()

Glib::PropertyProxy_ReadOnly< bool > Gtk::ColumnViewRow::property_selected | ( |  | ) | const

If the item in the row is currently selected.

Since gtkmm 4.12

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_activatable()

void Gtk::ColumnViewRow::set_activatable | ( | bool | activatable = true | ) |

Sets self to be activatable.

If a row is activatable, double-clicking on the row, using the Return key or calling Gtk::Widget::activate() will activate the row. Activating instructs the containing columnview to emit the Gtk::ColumnView::signal_activate() signal.

By default, row are activatable.

Since gtkmm 4.12

Parameters

  activatable | If the row should be activatable.

## ◆ set_focusable()

void Gtk::ColumnViewRow::set_focusable | ( | bool | focusable = true | ) |

Sets self to be focusable.

If a row is focusable, it can be focused using the keyboard. This works similar to Gtk::Widget::set_focusable().

Note that if row are not focusable, the contents of cells can still be focused if they are focusable.

By default, rows are focusable.

Since gtkmm 4.12

Parameters

  focusable | If the row should be focusable.

## ◆ set_selectable()

void Gtk::ColumnViewRow::set_selectable | ( | bool | selectable = true | ) |

Sets self to be selectable.

If a row is selectable, clicking on the row or using the keyboard will try to select or unselect the row. Whether this succeeds is up to the model to determine, as it is managing the selected state.

Note that this means that making a row non-selectable has no influence on the selected state at all. A non-selectable row may still be selected.

By default, rows are selectable.

Since gtkmm 4.12

Parameters

  selectable | If the row should be selectable.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::ColumnViewRow > wrap | ( | GtkColumnViewRow * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.